// 云函数入口文件
const cloud = require('wx-server-sdk')

cloud.init()

const appId = 'wxffc5658e61b18d3d';
const mchId = '1526185221'; // 商户号
const nonce_str = require('random'); // 随机字符串
const ip = require('ip');  // 终端IP
const body = "杨子店铺-微信点餐"; // 商品描述
const notify_url = 'http://www.weixin.qq.com/wxpay/pay.php' //通知地址
const trade_type = 'JSAPI'  //交易类型
const key = '1a79a4d60de6718e8e5b326e338ae533';

const {
  WXPay,
  WXPayUtil,
  WXPayConstants
} = require('wx-js-utils');
let wxpay = new WXPay({
  appId,
  mchId,
  key,
  timeout: 10000,
  signType: WXPayConstants.SIGN_TYPE_MD5,
  useSandbox: false       // 不使用沙箱环境
});
// 云函数入口函数
exports.main = async(event, context) => {
  console.log('开始调用');
  const { OPENID } = cloud.getWXContext()
  const curTime = Date.now();
  const out_trade_no = `${OPENID.substr(-5)}-${curTime}`; // 订单号
  // const total_fee = event.total_fee; // 标价金额
  const total_fee = 1; // 标价金额
  const spbill_create_ip = ip(); // 终端IP
  const time_stamp = '' + Math.ceil(Date.now() / 1000);
  let orderParam = {
    body,
    spbill_create_ip,
    notify_url,
    out_trade_no,
    total_fee,
    openid: OPENID,
    trade_type: 'JSAPI',
    timeStamp: time_stamp,
  };
  const {
    return_code,
    result_code,
    ...restData
  } = await wxpay.unifiedOrder(orderParam); // 统一下单
  console.log(restData);
  if (return_code === 'SUCCESS' && result_code === 'SUCCESS') {
    const {
      prepay_id,
      nonce_str
    } = restData;
    const sign = WXPayUtil.generateSignature({
      appId,
      nonceStr: nonce_str,
      package: `prepay_id=${prepay_id}`,
      signType: 'MD5',
      timeStamp: time_stamp
    }, key); // 签名
    return {
      code: 1,
      data: {
        out_trade_no,
        signType: 'MD5',
        time_stamp,
        ...restData,
        sign
      },
      msg:'成功'
    }
  }
  return {
    code: 0,
    data:null,
    msg:'失败'
  }

}