// miniprogram/pages/admin/categoryList/categoryList.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    categories:[]
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.setData({
      slideButtons: [{
        type: 'primary',
        text: '编辑',
        extClass: 'test',
        src: '/images/svg/edit.svg', // icon的路径
      }, {
        type: 'warn',
        text: '删除',
        extClass: 'test',
        src: '/images/svg/delete.svg', // icon的路径
      }],
    });
  
  },
  slideButtonTap(e) {
    console.log('slide button tap', e)
    var id = e.currentTarget.dataset.id;
    if(e.detail.index == 0){ // 编辑
      this.editCate(id);
    }else if(e.detail.index == 1){ //删除
      this.delCate(id);
    }
  },
  goAdd() {
    wx.navigateTo({
      url: '../addCategory/addCategory',
    })
  },
  delCate(id){
    const that = this;
    wx.showModal({
      title: '确认删除吗',
      success(){
        wx.cloud.callFunction({
          name:'categories',
          data:{
            action:'del',
            "_id":id
          },
          success(res){
            if(res.result.code == 1){
              wx.showToast({
                title: res.result.msg,
                success(){
                  const result = that.categories.filter(val => val._id !== id);
                  that.setData({
                    categories: result
                  })
                  wx.setStorageSync('categories', result);
                }
              })
            }
          },
          fail(){
            wx.showToast({
              title: '删除失败',
              icon:'fail'
            })
          }
        })
      }
    })
  },
  editCate(id){
    wx.navigateTo({
      url: '../editCategory/editCategory?id='+id,
    })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },
  getCategories(){
    const that = this;

      wx.showLoading({
        title: '正在加载',
      })
      wx.cloud.callFunction({
        name: 'categories',
        data: {
          action: 'find'
        },
        success(res) {
          console.log(res)
          if (res.result.code == 1) {
            that.categories = res.result.data;
            wx.setStorageSync('categories', that.categories);
            that.setData({
              categories: that.categories
            })
          }
        },
        fail() {
          wx.showToast({
            title: '加载失败',
            icon: 'fail'
          })
        },
        complete() {
          wx.hideLoading();
        }
      })
    


    
  },
  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    this.getCategories();
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})