// miniprogram/pages/admin/editCategory/editCategory.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    category:null
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    console.log(options);
    var id = options.id;
    this.getCategory(id);
  },
  getCategory(id){
    const that = this;
    wx.showLoading({
      title: 'loading...',
    })
    wx.cloud.callFunction({
      name:'categories',
      data:{
        action:'findCategoryById',
        "_id":id
      },
      success(res){
        if(res.result.code == 1){
          const category = res.result.data;
          that.category = category;
          that.setData({
            category: category
          })
        }
      },
      fail(){
        wx.showToast({
          title: '获取失败',
        })
      },
      complete(){
        wx.hideLoading();
      }
    })
  },
  formSubmit(e){
    var result = e.detail.value;
    wx.showLoading({
      title: '正在更新...',
    });
    wx.cloud.callFunction({
      name:'categories',
      data:{
        action:'edit',
        "_id": this.category._id,
        name:result.name,
        category_type:result.category_type,
        order:result.order
      },
      success(res){
        if(res.result.code == 1){
          wx.showToast({
            title: res.result.msg,
            success(){
              wx.navigateBack();
            }
          })
        }
      },
      fail(){
        wx.showToast({
          title: '更新失败',
          icon:'fail'
        })
      },
      complete(){
        wx.hideLoading()
      }
    })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})