// miniprogram/pages/confirm-order/confirm-order.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    order:null,
    getFoodTimeList:[
      {name:'现在取餐',value:1,checked:true},
      { name: '10分钟后到店', value: 10 },
      { name: '20分钟后到店', value: 20},
      { name: '30分钟后到店', value: 30 },
    ],
    getFoodWayList:[
      { name: '堂食', value: 1, checked: true },
      { name: '外带', value: 2 },
    ]
  },

  onPay(){
    //todo 调取微信支付

    // 无论成功与否，跳转到订单详情
    wx.navigateTo({
     
    })
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    const cart = wx.getStorageSync('cart');
    const shopInfo = wx.getStorageSync('shopInfo');
    this.order = {
      foodList: cart.foodList,
      order_total_price: cart.cart_price,
      order_amount: cart.cart_price
    }
    this.setData({
      shopInfo,
      order: this.order,
      total_count: cart.cart_count
    })
  },
  formSubmit(e){
    console.log(e);
    var value =e.detail.value;
    const that =this;
    if (!value.phone){
      wx.showToast({
        title: '请填写订餐电话',
        icon:''
      })
      return;
    }
    var params = {
      ...this.order,
      ...value
    }
    console.log(params);
    wx.showLoading({
      title: '正在提交订单',
    })

    wx.cloud.callFunction({
      name:'order',
      data:{
        action:'addOrder',
        ...params
      },
      success(res){
        if(res.result.code == 1){
          console.log('订单提交成功');
          const order_id = res.result.data.order_id;
          const order_price = res.result.data.order_price;
          that.clearCart();
          wx.cloud.callFunction({
            name:'pay',
            data:{
              order_id,
              total_fee: order_price*100
            },
            success(res){
              if(res.result.code == 1){
                //这个res就是云函数返回的5个参数
                //通过wx.requestPayment发起支付
                wx.showLoading({
                  title: '前往支付...',
                })
                wx.requestPayment({
                  timeStamp: res.result.data.time_stamp,
                  nonceStr: res.result.data.nonce_str,
                  package: 'prepay_id=' + res.result.data.prepay_id,
                  signType: res.result.data.signType,
                  paySign: res.result.data.sign,
                  success: res => {
                    //支付成功
                    wx.showToast({
                      title: '支付成功',
                      success() {
                        setTimeout(() => {
                          wx.reLaunch({
                            url: '../order-detail/order-detail?pay_state=1&order_id=' + order_id+'&order_state=1',
                          })
                        }, 100)
                      }
                    })
                  },
                  fail: err => {
                    //支付失败
                    console.log('支付失败');
                    wx.showToast({
                      title: '取消支付',
                      icon: 'none',
                      success() {
                        setTimeout(() => {
                          wx.reLaunch({
                            url: '../order-detail/order-detail?pay_state=2&order_id=' + order_id+'&order_state=2',
                          })
                        }, 100)
                      }
                    })
                  },
                  complete(){
                    wx.hideLoading();
                  }
                })
              }
            }
          })
        }
      },
      fail(){
        wx.showToast({
          title: '订单提交失败',
          icon: 'none',
        })
      },
      complete(){
        wx.hideLoading();
      }
    })
  },

  clearCart(){
    var cart = wx.getStorageSync('cart');
    wx.cloud.callFunction({
      name:'cart',
      data:{
        action:'deleteAllCart',
        cartId:cart._id
      },
      success(res){
        wx.removeStorageSync('cart');
      },
      fail(){}
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})