//index.js
const app = getApp()

Page({
  data: {
    avatarUrl: './user-unlogin.png',
    userInfo: null,
    nickName: '新朋友',
    logged: false,
    takeSession: false,
    requestResult: '',
    bannerList: ["/images/banner-1.jpg", "/images/banner-2.jpg", "/images/banner-3.jpg"],
    windowWidth: app.globalData.WINDOWWIDTH,
    defaultSize: 'default',
    primarySize: 'default',
    warnSize: 'default',
    disabled: false,
    plain: false,
    loading: false,
    shopInfo: null,
  },


  onLoad: function() {
    if (!wx.cloud) {
      wx.redirectTo({
        url: '../chooseLib/chooseLib',
      })
      return
    }
    const that = this;
   
  },
  onShow() {
    if (wx.getStorageSync('userInfo')) {
      this.setData({
        nickName: wx.getStorageSync('userInfo') ? wx.getStorageSync('userInfo').nickName : '新朋友'
      })
      this.getShopInfo();
    }
  },
  /**
   * 获取店铺信息
   */
  getShopInfo() {
    app.getShopInfo(function(result) {
      this.shopInfo = result;
      this.setData({
        shopInfo: result
      })
    }.bind(this))
  },

  onGetUserInfo: function(callback = {}) {
    wx.getUserInfo({
      success: (res) => {
        console.log(res);
        this.userInfo = res;
        if (typeof callback.success == 'function') callback.success();
      },
      fail: () => {
        console.error('获取用户信息失败');
      }
    })
  },

  onGetOpenid: function() {
    // 调用云函数
    wx.cloud.callFunction({
      name: 'login',
      data: {},
      success: res => {
        console.log('[云函数] [login] user openid: ', res.result.openid)
        app.globalData.openid = res.result.openid
        wx.navigateTo({
          url: '../userConsole/userConsole',
        })
      },
      fail: err => {
        console.error('[云函数] [login] 调用失败', err)
        wx.navigateTo({
          url: '../deployFunctions/deployFunctions',
        })
      }
    })
  },

  calling() {
    app.calling(this.shopInfo.phone);
  },
  onOpenLocation(e) {
    const result = e.currentTarget.dataset.location;
    app.onOpenLocation(result);
  },
  goProductlist() {
    wx.navigateTo({
      url: '../productlist/productlist',
    })
  }
})