// miniprogram/pages/my-order/my-order.js
Page({

  /**
   * 页面的初始数据
   */
  data: {

  },
  goOrderDetail(e){
    var order_id = e.currentTarget.dataset.orderId;
    wx.navigateTo({
      url: '../order-detail/order-detail?order_id=' + order_id,
    })
  },
  getOrderList(){
    const that = this;
    wx.showLoading({
      title: 'loading...',
    })
    wx.cloud.callFunction({
      name:'order',
      data:{
        action:'findAllOrderList'
      },
      success(res){
        if(res.result.code == 1){
          that.setData({
            orders:res.result.data
          })
        }
      },
      fail(){
        console.log('订单获取失败');
      },
      complete(){
        wx.hideLoading();
      }
    })
  },
  goPay(e){
    var price = e.currentTarget.dataset.price;
    var order_id = e.currentTarget.dataset.orderId;
    wx.showLoading({
      title: '支付中...',
    })
    wx.cloud.callFunction({
      name: 'pay',
      data: {
        total_fee: price * 100
      },
      success(res) {
        if (res.result.code == 1) {
          //这个res就是云函数返回的5个参数
          //通过wx.requestPayment发起支付
         
          wx.requestPayment({
            timeStamp: res.result.data.time_stamp,
            nonceStr: res.result.data.nonce_str,
            package: 'prepay_id=' + res.result.data.prepay_id,
            signType: res.result.data.signType,
            paySign: res.result.data.sign,
            success: res => {
              //支付成功
              wx.showToast({
                title: '支付成功',
                success() {
                  setTimeout(() => {
                    wx.reLaunch({
                      url: '../order-detail/order-detail?pay_state=1&order_id=' + order_id + '&order_state=1',
                    })
                  }, 100)
                }
              })
            },
            fail: err => {
              //支付失败
              wx.showToast({
                title: '取消支付',
                icon: 'none',
                success() {
                  console.log('支付失败')
                }
              })
            },
            complete() {
              wx.hideLoading();
            }
          })
        }
      }
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.getOrderList();
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})